package com.heyu.api.baidu.handle.certificate;


import com.heyu.api.data.annotation.CustomPath;
import com.heyu.api.data.utils.StringUtils;
import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.certificate.BBusinesslicenseVerificationDetailedRequest;
import com.heyu.api.baidu.response.certificate.BBusinesslicenseVerificationDetailedResp;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * https://console.bce.baidu.com/support/?_=1740219852952&timestamp=1740310422758#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8D%A1%E8%AF%81OCR&api=rest%2F2.0%2Focr%2Fv1%2Fbusinesslicense_verification_detailed&method=post
 * <p>
 * <p>
 * 企业工商信息查询（高级版）
 */
@Component
@Slf4j
@CustomPath("businesslicenseVerificationDetailed")
public class BBusinesslicenseVerificationDetailedHandle extends BaiduBaseHandle<BBusinesslicenseVerificationDetailedRequest, BBusinesslicenseVerificationDetailedResp> {
    @Override
    public String getUri() {
        return "/2.0/ocr/v1/businesslicense_verification_detailed";
    }

    @Override
    public String check(BBusinesslicenseVerificationDetailedRequest bBusinesslicenseVerificationDetailedRequest) {
        if (StringUtils.isBlank(bBusinesslicenseVerificationDetailedRequest.getVerifyNum())) {
            return "verifyNum不能为空，查询关键字段（企业名称、注册号、社会统一信用代码，可任意输入其中一种）";
        }
        return null;
    }

    @Override
    public String getContent(BBusinesslicenseVerificationDetailedRequest bBusinesslicenseVerificationDetailedRequest) {
        StringBuffer sb = new StringBuffer();
        sb.append("verifynum=").append(bBusinesslicenseVerificationDetailedRequest.getVerifyNum());
        return sb.toString();
    }
}
